public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3/
Date: Fri, 13 Nov 2020 09:02:21 +0000 (UTC)	[thread overview]
Message-ID: <1605258135.053f4b967e5cda0dee9135c26ab239f13455bc8a.mgorny@gentoo> (raw)

commit:     053f4b967e5cda0dee9135c26ab239f13455bc8a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 12 23:55:33 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 13 09:02:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=053f4b96

dev-python/pypy3: Bump to 7.3.3rc1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypy3/Manifest               |   1 +
 dev-python/pypy3/pypy3-7.3.3_rc1.ebuild | 207 ++++++++++++++++++++++++++++++++
 2 files changed, 208 insertions(+)

diff --git a/dev-python/pypy3/Manifest b/dev-python/pypy3/Manifest
index 18cd2160f09..51f8c3e0b00 100644
--- a/dev-python/pypy3/Manifest
+++ b/dev-python/pypy3/Manifest
@@ -1,3 +1,4 @@
 DIST pypy3.6-v7.3.1-src.tar.bz2 22712809 BLAKE2B 4250b3fe98c611b9635319c106b80e88ab469eab5f883babb738e175e7b7adc22c85f8ef3fdce1cdc127b521beef8d6c7862e188d8c8889c39f90136d6bbe374 SHA512 f8e32aae7f01225e0e4d6763eaac40fc02dffc3d0b6a30f22d422147f9be4f3290ea78160a912ffae311dea3d503eb31a7a4f3999d3b541fbccd93d1cef4ca56
 DIST pypy3.6-v7.3.2-src.tar.bz2 22736022 BLAKE2B e2338ac3f7af06b987c43e93eab9ff14d46262143472b0393b30b011fff67d33add45d8198cee7109354e09c52a2540938abeef364b0cf12f2891ca9c7aac2a4 SHA512 ed861a57d6edf1548c061d10295313a05d0ac54fe68a8755211ff76fa2dc78d7b1479c6152dc5d0d1cdce4e247c240c1a2edf59ec8a53d0004ec7713514c9c35
+DIST pypy3.6-v7.3.3rc1-src.tar.bz2 22401663 BLAKE2B 278b71a3b608999ee20b6558598eda453f3a87645965b8b705a11d05784722106c04b405375f62bd8e7ce2968df311314ee1672a2ddecb0f6afc49a3cbe8e670 SHA512 d865125925603e74412be7e750ab403670f05e76f2dfe6280c8b0ef123ed3e2f463d9457b65aa4f84c47a3529b2d3bca84b84307623bf995f60b549c85dcce2d
 DIST pypy3.7-v7.3.2-src.tar.bz2 25060911 BLAKE2B 35ecfee4c64e13539827c65a61e0cd359de4046f77553629cdf63479327c6ad86afd1443caa7a911a6271f496f0f3caf1b919ce91de717d0a71d008927b7f77b SHA512 563a9cf63e818b95aeb14c25b55bb5fb0bf8283f0b9f2bdd9a8833989beb651681f53f52368fb9db2c75fb60be0456eec87d48b557740b57847c4104003cb288

diff --git a/dev-python/pypy3/pypy3-7.3.3_rc1.ebuild b/dev-python/pypy3/pypy3-7.3.3_rc1.ebuild
new file mode 100644
index 00000000000..87a53e5f5c2
--- /dev/null
+++ b/dev-python/pypy3/pypy3-7.3.3_rc1.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+inherit pax-utils python-any-r1 toolchain-funcs
+
+MY_P=pypy3.6-v${PV/_/}
+
+DESCRIPTION="A fast, compliant alternative implementation of the Python (3.6) language"
+HOMEPAGE="https://pypy.org/"
+SRC_URI="https://buildbot.pypy.org/pypy/${MY_P}-src.tar.bz2"
+S="${WORKDIR}/${MY_P}-src"
+
+LICENSE="MIT"
+# pypy3 -c 'import sysconfig; print(sysconfig.get_config_var("SOABI"))'
+SLOT="0/pypy36-pp73"
+KEYWORDS=""
+IUSE="bzip2 gdbm +jit libressl ncurses sqlite test tk"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	|| (
+		dev-python/pypy3-exe:${PV}[bzip2?,ncurses?]
+		dev-python/pypy3-exe-bin:${PV}
+	)
+	!libressl? ( dev-libs/openssl:0= )
+	libressl? ( dev-libs/libressl:0= )
+	gdbm? ( sys-libs/gdbm:0= )
+	sqlite? ( dev-db/sqlite:3= )
+	tk? (
+		dev-lang/tk:0=
+		dev-tcltk/tix:0=
+	)
+	!<dev-python/pypy3-bin-7.3.0:0"
+DEPEND="${RDEPEND}
+	test? (
+		${PYTHON_DEPS}
+		!!dev-python/pytest-forked
+	)"
+
+pkg_setup() {
+	use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	eapply "${FILESDIR}/7.3.1-gentoo-path.patch"
+	eapply "${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
+	eapply "${FILESDIR}"/7.2.0-distutils-cxx.patch
+
+	sed -e "s^@EPREFIX@^${EPREFIX}^" \
+		-i lib-python/3/distutils/command/install.py || die
+
+	# apply CPython stdlib patches
+	pushd lib-python/3 > /dev/null || die
+	eapply "${FILESDIR}"/python-3.5-distutils-OO-build.patch
+	popd > /dev/null || die
+
+	# see http://buildbot.pypy.org/summary?branch=py3.6&builder=pypy-c-jit-linux-x86-64
+	sed -i -e 's:test_jumpy:_&:' \
+		lib-python/3/test/test_dis.py || die
+	sed -i -e 's:test_get_and_set_scheduler_and_param:_&:' \
+		lib-python/3/test/test_posix.py || die
+	sed -i -e 's:test_auto_history:_&:' \
+		-e 's:test_history_size:_&:' \
+		lib-python/3/test/test_readline.py || die
+	sed -i -e 's:test_eval_bytes_invalid_escape:_&:' \
+		-e 's:test_eval_str_invalid_escape:_&:' \
+		lib-python/3/test/test_string_literals.py || die
+	sed -i -e 's:test_jump_out_of_async_for_block:_&:' \
+		-e 's:test_jump_over_async_for_block_before_else:_&:' \
+		-e 's:test_no_jump_.*wards_into_async_for_block:_&:' \
+		-e 's:test_no_jump_into_async_for_block_before_else:_&:' \
+		-e 's:test_no_jump_from_yield:_&:' \
+		lib-python/3/test/test_sys_settrace.py || die
+	sed -i -e 's:test_circular_imports:_&:' \
+		lib-python/3/test/test_threaded_import.py || die
+
+	# the first one's broken by sandbox, the second by our env
+	sed -i -e 's:test_empty_env:_&:' \
+		-e 's:test_executable(:_&:' \
+		-e 's:test_executable_without_cwd:_&:' \
+		lib-python/3/test/test_subprocess.py || die
+
+	# XXX
+	sed -i -e 's:test_locale:_&:' \
+		lib-python/3/test/test_format.py || die
+	sed -i -e 's:test_decompressor_bug_28275:_&:' \
+		lib-python/3/test/test_lzma.py || die
+
+	eapply_user
+}
+
+src_configure() {
+	tc-export CC
+}
+
+src_compile() {
+	# copy over to make sys.prefix happy
+	cp -p "${BROOT}"/usr/lib/pypy3.6/pypy3-c-${PV} pypy3-c || die
+	cp -p "${BROOT}"/usr/lib/pypy3.6/include/${PV}/* include/ || die
+	# (not installed by pypy)
+	rm pypy/module/cpyext/include/_numpypy/numpy/README || die
+	mv pypy/module/cpyext/include/* include/ || die
+	mv pypy/module/cpyext/parse/*.h include/ || die
+	pax-mark m pypy3-c
+
+	einfo "Generating caches and CFFI modules ..."
+
+	# Generate Grammar and PatternGrammar pickles.
+	./pypy3-c -c "import lib2to3.pygram, lib2to3.patcomp; lib2to3.patcomp.PatternCompiler()" \
+		|| die "Generation of Grammar and PatternGrammar pickles failed"
+
+	# Generate cffi modules
+	# Please keep in sync with pypy/tool/build_cffi_imports.py!
+#cffi_build_scripts = {
+#    "_blake2": "_blake2/_blake2_build.py",
+#    "_ssl": "_ssl_build.py",
+#    "sqlite3": "_sqlite3_build.py",
+#    "audioop": "_audioop_build.py",
+#    "tk": "_tkinter/tklib_build.py",
+#    "curses": "_curses_build.py" if sys.platform != "win32" else None,
+#    "syslog": "_syslog_build.py" if sys.platform != "win32" else None,
+#    "gdbm": "_gdbm_build.py"  if sys.platform != "win32" else None,
+#    "pwdgrp": "_pwdgrp_build.py" if sys.platform != "win32" else None,
+#    "resource": "_resource_build.py" if sys.platform != "win32" else None,
+#    "lzma": "_lzma_build.py",
+#    "_decimal": "_decimal_build.py",
+#    "_sha3": "_sha3/_sha3_build.py",
+	cffi_targets=( blake2/_blake2 sha3/_sha3 ssl
+		audioop syslog pwdgrp resource lzma decimal )
+	use gdbm && cffi_targets+=( gdbm )
+	use ncurses && cffi_targets+=( curses )
+	use sqlite && cffi_targets+=( sqlite3 )
+	use tk && cffi_targets+=( tkinter/tklib )
+
+	local t
+	# all modules except tkinter output to .
+	# tkinter outputs to the correct dir ...
+	cd lib_pypy || die
+	for t in "${cffi_targets[@]}"; do
+		# tkinter doesn't work via -m
+		../pypy3-c "_${t}_build.py" || die "Failed to build CFFI bindings for ${t}"
+	done
+
+	# Cleanup temporary objects
+	find -name "_cffi_*.[co]" -delete || die
+	find -type d -empty -delete || die
+}
+
+src_test() {
+	# (unset)
+	local -x PYTHONDONTWRITEBYTECODE=
+	local -x COLUMNS=80
+
+	# Test runner requires Python 2 too. However, it spawns PyPy3
+	# internally so that we end up testing the correct interpreter.
+	"${EPYTHON}" ./pypy/test_all.py --pypy=./pypy3-c -vv lib-python || die
+}
+
+src_install() {
+	local dest=/usr/lib/pypy3.6
+	einfo "Installing PyPy ..."
+	dosym pypy3-c-${PV} "${dest}/pypy3-c"
+	insinto "${dest}"
+	# preserve mtimes to avoid obsoleting caches
+	insopts -p
+	doins -r include lib_pypy lib-python
+
+	# replace copied headers with symlinks
+	for x in "${BROOT}"/usr/lib/pypy3.6/include/${PV}/*; do
+		dosym "${PV}/${x##*/}" "${dest}/include/${x##*/}"
+	done
+
+	dosym ../lib/pypy3.6/pypy3-c /usr/bin/pypy3
+	dodoc README.rst
+
+	if ! use gdbm; then
+		rm -r "${ED}${dest}"/lib_pypy/_gdbm* || die
+	fi
+	if ! use sqlite; then
+		rm -r "${ED}${dest}"/lib-python/*3/sqlite3 \
+			"${ED}${dest}"/lib_pypy/_sqlite3* \
+			"${ED}${dest}"/lib-python/*3/test/test_sqlite.py || die
+	fi
+	if ! use tk; then
+		rm -r "${ED}${dest}"/lib-python/*3/{idlelib,tkinter} \
+			"${ED}${dest}"/lib_pypy/_tkinter \
+			"${ED}${dest}"/lib-python/*3/test/test_{tcl,tk,ttk*}.py || die
+	fi
+
+	local -x EPYTHON=pypy3
+	local -x PYTHON=${ED}${dest}/pypy3-c-${PV}
+	# temporarily copy to build tree to facilitate module builds
+	cp -p "${BROOT}${dest}/pypy3-c-${PV}" "${PYTHON}" || die
+
+	echo "EPYTHON='${EPYTHON}'" > epython.py || die
+	python_moduleinto /usr/lib/pypy3.6/site-packages
+	python_domodule epython.py
+
+	einfo "Byte-compiling Python standard library..."
+	python_optimize "${ED}${dest}"
+
+	# remove to avoid collisions
+	rm "${PYTHON}" || die
+}


             reply	other threads:[~2020-11-13  9:02 UTC|newest]

Thread overview: 195+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-13  9:02 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-27  9:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3/ Michał Górny
2024-09-15 15:04 Michał Górny
2024-09-15 15:04 Michał Górny
2024-09-05  8:43 Michał Górny
2024-08-29 16:29 Michał Górny
2024-04-25  3:39 Michał Górny
2024-04-24 17:16 Sam James
2024-04-24 17:16 Sam James
2024-04-24 15:08 Michał Górny
2024-02-03 15:02 Michał Górny
2024-02-03 14:03 Arthur Zamarin
2024-02-03 13:52 Sam James
2024-01-21  6:21 Michał Górny
2024-01-21  4:29 Sam James
2024-01-21  2:44 Sam James
2024-01-15 21:24 Michał Górny
2024-01-09 16:03 Michał Górny
2024-01-03 19:49 Michał Górny
2023-12-25 20:26 Michał Górny
2023-11-02 12:58 Michał Górny
2023-09-30  8:27 Michał Górny
2023-09-26 12:31 Michał Górny
2023-07-15 18:02 Arthur Zamarin
2023-07-11  8:43 Jakov Smolić
2023-06-19  5:14 Michał Górny
2023-06-16 17:03 Michał Górny
2023-05-31 11:42 Michał Górny
2023-05-14 19:29 Michał Górny
2023-02-27  5:50 Michał Górny
2023-02-26 22:23 Sam James
2023-02-26 21:47 Sam James
2023-02-26 20:11 Michał Górny
2023-01-31 13:16 Michał Górny
2023-01-31 13:06 Arthur Zamarin
2023-01-31 13:06 Arthur Zamarin
2023-01-29  9:34 Michał Górny
2022-12-30 14:32 Michał Górny
2022-12-14 10:58 Michał Górny
2022-12-12  5:43 Michał Górny
2022-12-07 15:59 Michał Górny
2022-12-07 15:42 Sam James
2022-12-07 15:42 Sam James
2022-12-07 13:04 Michał Górny
2022-11-25 21:14 Michał Górny
2022-11-24 16:47 Michał Górny
2022-11-10 16:15 Michał Górny
2022-11-10  2:49 Sam James
2022-11-10  2:49 Sam James
2022-11-09 17:44 Michał Górny
2022-10-31 13:55 Michał Górny
2022-10-30 21:56 Sam James
2022-10-30 21:55 Sam James
2022-10-30 21:55 Sam James
2022-10-29 11:25 Michał Górny
2022-09-04 19:36 Michał Górny
2022-08-27  6:38 Michał Górny
2022-08-12 10:36 Michał Górny
2022-08-12 10:19 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-08-10  9:31 Michał Górny
2022-08-03  6:52 Michał Górny
2022-07-24 18:18 Michał Górny
2022-07-19 13:27 Michał Górny
2022-06-16 11:47 Michał Górny
2022-06-16  9:52 Jakov Smolić
2022-06-16  9:41 Jakov Smolić
2022-05-17  7:49 Michał Górny
2022-05-04 17:56 Michał Górny
2022-05-04 15:11 Jakov Smolić
2022-05-01 21:51 Jakov Smolić
2022-04-01 15:39 Michał Górny
2022-04-01 15:17 Jakov Smolić
2022-04-01  6:57 Agostino Sarubbo
2022-03-30 15:13 Michał Górny
2022-02-20 14:19 Michał Górny
2022-02-20 14:19 Michał Górny
2022-02-20 12:28 Michał Górny
2022-02-11 12:16 Michał Górny
2022-02-10 11:12 Michał Górny
2022-02-02 21:16 Michał Górny
2022-01-27 17:56 Michał Górny
2022-01-27 15:17 Michał Górny
2022-01-09  8:09 Michał Górny
2021-11-09 10:33 Michał Górny
2021-11-09  9:35 Agostino Sarubbo
2021-11-09  9:34 Agostino Sarubbo
2021-10-25 20:16 Michał Górny
2021-10-25 20:16 Michał Górny
2021-10-17 21:15 Michał Górny
2021-10-12 15:17 Michał Górny
2021-10-08  8:44 Michał Górny
2021-09-14 16:22 Michał Górny
2021-09-03  6:57 Michał Górny
2021-09-03  6:40 Agostino Sarubbo
2021-09-03  6:34 Agostino Sarubbo
2021-08-30 22:24 Michał Górny
2021-08-29 22:22 Michał Górny
2021-07-30 18:14 Michał Górny
2021-06-16 11:16 Michał Górny
2021-06-12  0:32 Sam James
2021-06-12  0:32 Sam James
2021-06-02  9:32 Michał Górny
2021-06-02  9:32 Michał Górny
2021-05-19 20:21 Michał Górny
2021-05-19 20:09 Agostino Sarubbo
2021-05-19 20:06 Agostino Sarubbo
2021-05-19 18:21 Michał Górny
2021-05-14 22:00 Michał Górny
2021-05-12  7:13 Michał Górny
2021-05-11 10:03 Agostino Sarubbo
2021-05-02  9:21 Mikle Kolyada
2021-05-01 18:19 Agostino Sarubbo
2021-04-12 13:49 Michał Górny
2021-04-10 19:36 Michał Górny
2021-04-09 11:46 Michał Górny
2021-03-15 10:37 Michał Górny
2021-03-05 20:49 Agostino Sarubbo
2021-03-05 20:48 Agostino Sarubbo
2021-03-04 15:04 Michał Górny
2021-03-04 14:56 Michał Górny
2021-03-03 18:22 Michał Górny
2021-01-09 21:59 Michał Górny
2021-01-09  2:30 Sam James
2020-12-31 23:08 Sam James
2020-11-22 11:51 Michał Górny
2020-11-22 11:51 Michał Górny
2020-11-13 12:39 Michał Górny
2020-09-30  2:31 Sam James
2020-09-30  2:25 Sam James
2020-09-25 12:13 Michał Górny
2020-09-25 12:13 Michał Górny
2020-09-25 12:13 Michał Górny
2020-09-17 16:56 Michał Górny
2020-09-16 22:30 Michał Górny
2020-09-16 22:30 Michał Górny
2020-09-16 22:30 Michał Górny
2020-09-11 21:05 Michał Górny
2020-09-11  9:31 Michał Górny
2020-08-30 20:31 Thomas Deutschmann
2020-08-27  5:44 Michał Górny
2020-07-02  9:52 David Seifert
2020-04-12 17:47 Michał Górny
2020-03-25 20:31 Michał Górny
2020-02-08 13:37 Mikle Kolyada
2020-01-27 15:44 Thomas Deutschmann
2020-01-17 18:35 Michał Górny
2020-01-01  9:23 Georgy Yakovlev
2019-12-30 11:59 Michał Górny
2019-12-30 11:59 Michał Górny
2019-12-25 18:38 Michał Górny
2019-12-14 13:31 Michał Górny
2019-11-20 12:27 Michał Górny
2019-08-15  8:10 Michał Górny
2019-05-24 14:21 Michał Górny
2019-04-21  6:29 Michał Górny
2019-03-28 14:22 Michał Górny
2019-02-14 22:07 Michał Górny
2019-01-05 13:39 Michał Górny
2018-08-01 12:24 Michał Górny
2018-04-29  6:33 Michał Górny
2018-04-27  6:34 Michał Górny
2018-01-14 14:38 Michał Górny
2018-01-08 19:41 Michał Górny
2017-12-27 18:20 Michał Górny
2017-11-16 12:33 Michał Górny
2017-11-12  9:27 Michał Górny
2017-11-11 15:07 Michał Górny
2017-11-05 16:23 Michał Górny
2017-11-05 16:23 Michał Górny
2017-10-15 10:09 Michał Górny
2017-10-15  7:30 Michał Górny
2017-10-15  7:14 Michał Górny
2017-06-10  9:37 Michał Górny
2017-06-09 23:10 Michał Górny
2017-06-09 23:10 Michał Górny
2017-05-30  7:34 Michał Górny
2017-05-25 18:40 Michał Górny
2017-05-25 18:40 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-25 21:49 Michał Górny
2017-04-08  5:42 Michał Górny
2017-03-08 11:32 Michał Górny
2017-03-08 11:32 Michał Górny
2016-10-12 20:59 Michał Górny
2016-07-29 15:09 Michał Górny
2016-06-09 19:46 Michał Górny
2016-05-14  9:07 Michał Górny
2016-05-14  9:07 Michał Górny
2016-03-03 10:47 Michał Górny
2016-02-06 22:45 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1605258135.053f4b967e5cda0dee9135c26ab239f13455bc8a.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox